gSOAP UDDI v2: uddi2__find_USCOREbinding Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__find_USCOREbinding Class Reference

Schema urn:uddi-org:api_v2:"find_binding". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREbinding:

[legend]
List of all members.

## Public Member Functions
| uddi2__find_USCOREbinding (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbinding (struct soap *, const char *tModelKey)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbinding (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat.
uddi2__bindingDetail * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
uddi2__tModelBag * | tModelBag
| Element reference "urn:uddi-org:api_v2":tModelBag.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_binding".

Represents a request to locate bindings that meet the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137712

## Constructor & Destructor Documentation

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the find_USCOREbinding class.

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap,
|  | const char * | tModelKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModelKey | string
Creates an instance of the find_USCOREbinding class using the specified tModel key.

uddi2__find_USCOREbinding::uddi2__find_USCOREbinding | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModelKeys | collection of tModel key strings
Creates an instance of the find_USCOREbinding class using the specified tModel keys.

## Member Function Documentation

uddi2__bindingDetail * uddi2__find_USCOREbinding::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__bindingDetail object or NULL on error Send a request to a UDDI server to find binding details.

## Member Data Documentation

uddi2__findQualifiers* uddi2__find_USCOREbinding::findQualifiers

| Element reference "urn:uddi-org:api_v2":findQualifiers. Optional element

char* uddi2__find_USCOREbinding::generic

| Attribute generic of type xs:string. Required attribute

int* uddi2__find_USCOREbinding::maxRows

| Attribute maxRows of type xs:int. Optional attribute

uddi2__serviceKey uddi2__find_USCOREbinding::serviceKey

| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey. Required attribute

struct soap* uddi2__find_USCOREbinding::soap

| A handle to the soap struct context that manages this class instance.

uddi2__tModelBag* uddi2__find_USCOREbinding::tModelBag

| Element reference "urn:uddi-org:api_v2":tModelBag. Required element

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h